def lower(text):
  bfs10150 = ''.join(map(chr, range(ord('A'), (ord('Z') + 1))))
  return ('translate(%s, %r, %r)' % (text, bfs10150, bfs10150.lower()))

def bfs10152(text, by=' '):
  return (u"translate(%s, '\xa0', %r)" % (text, by))

def predicate(bfs10151):
  return (('[%s]' % bfs10151) if bfs10151 else '')

def bfs10154(*bfs10153):
  return predicate(' or '.join([c for c in bfs10153 if c ]))

